Subject: Re: [PATCH net-next v6 2/7] net: ethtool: plumb PHY stats to PHY drivers

From: Jakub Kicinski <[email-masked]>
Date: Thu, 9 Jan 2025 09:48:24 -0800

On Thu, 9 Jan 2025 18:27:44 +0100 Oleksij Rempel wrote:
> > So we traded on set of static inlines for another?
> > What's wrong with adding a C source which is always built in?
> > Like drivers/net/phy/stubs.c, maybe call it drivers/net/phy/accessors.c
> > or drivers/net/phy/helpers.c  
> 
> I chose the current stubs approach based on existing examples like
> hw_timestamps. Any implementation, including the current one, will have
> zero kernel size impact because each function is only used once. While
> moving them to a C source file is an option, it doesn't seem necessary
> given the current usage pattern. Do we really want to spend more time on
> this for something that won’t impact functionality or size? :)

If we keep following existing approaches we'll not have any chance 
to improve :/

But if you feel strongly it's fine. You do need to respin to fix what
Simon pointed out tho, either way.